Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionToolBar.ToolBarPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionToolBar.ToolBarPosition>
          com.trolltech.qt.gui.QStyleOptionToolBar.ToolBarPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionToolBar.ToolBarPosition>

Enclosing class:
  QStyleOptionToolBar

    public static enum QStyleOptionToolBar.ToolBarPosition

extends java.lang.Enum<QStyleOptionToolBar.ToolBarPosition>
implements QtEnumerator

This enum is used to describe the position of a toolbar line, as well as the toolbar's position within the line.

The order of the positions within a line starts at the top of a vertical line, and from the left within a horizontal line. The order of the positions for the lines is always from the the parent widget's boundary edges.

See Also:
  `positionWithinLine`, `positionOfLine`

Enum Constant Summary
`Beginning` The toolbar is located at the beginning of the line, or the toolbar line is the first of several lines.
`End` The toolbar is located at the end of the line, or the toolbar line is the last of several lines.
`Middle` The toolbar is located in the middle of the line, or the toolbar line is in the middle of several lines.
`OnlyOne` There is only one toolbar or line.

Method Summary
`static QStyleOptionToolBar.ToolBarPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBar.ToolBarPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionToolBar.ToolBarPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Beginning

    public static final QStyleOptionToolBar.ToolBarPosition Beginning

  The toolbar is located at the beginning of the line, or the toolbar line is the first of several lines. There can only be one toolbar (and only one line) with this position.

### Middle

    public static final QStyleOptionToolBar.ToolBarPosition Middle

  The toolbar is located in the middle of the line, or the toolbar line is in the middle of several lines. There can several toolbars (and lines) with this position.

### End

    public static final QStyleOptionToolBar.ToolBarPosition End

  The toolbar is located at the end of the line, or the toolbar line is the last of several lines. There can only be one toolbar (and only one line) with this position.

### OnlyOne

    public static final QStyleOptionToolBar.ToolBarPosition OnlyOne

  There is only one toolbar or line. This is the default value of the `positionOfLine` and `positionWithinLine` variables.

Method Detail

### values

    public static final QStyleOptionToolBar.ToolBarPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionToolBar.ToolBarPosition c : QStyleOptionToolBar.ToolBarPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionToolBar.ToolBarPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBar.ToolBarPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD